Subject: Re: [PATCH v2 00/22] Update sequoia to 0.20.0 - version 2

From: Christopher Baines <[email-masked]>
Date: Sat, 28 Nov 2020 13:26:40 +0000

Hartmut Goebel <[email-masked]> writes:

>> Also, I think there could be some conflicts with a few of the patches
>> you sent, the addition of rust-base64-0.13 for example.
>
> Sorry, I don't understand this remark. Why should adding a package
> cause any conflict?

It won't. However, if two commits change the same place in a file, Git
can't always work out what to do. For example, two packages get added in
roughly the same spot.

The conflict I'm referecning for rust-base64-0.13 is because
rust-base58-0.1 has now been added in the same place (above
rust-base64-0.12) [1].

1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=e94e86c92eddad0abfde00470c0269b4ddb0946e

It's just unluckiy that this happened right after you sent your patches.